[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.Calculated

Is the field a calculated field ?

## Declaration

Source position: db.pas line 397

`public property TField.Calculated: Boolean read FCalculated write FCalculated;`

## Description

Calculated is True if the FieldKind is fkCalculated. Setting the property wil result in FieldKind being set to fkCalculated (for a value of True) or fkData. This property should be considered read-only.

## See also

TField.FieldKind |  | The kind of field.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.